Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.mulemq
Class MuleMQXAJmsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.jms.JmsConnector
              org.mule.transport.jms.mulemq.MuleMQJmsConnector
                  org.mule.transport.jms.mulemq.MuleMQXAJmsConnector

All Implemented Interfaces:
  EventListener, ExceptionListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

    public class MuleMQXAJmsConnector

extends MuleMQJmsConnector

Field Summary
`static String` | `MULEMQ_XA_CONNECTION_FACTORY_CLASS`

Fields inherited from class org.mule.transport.jms.mulemq.MuleMQJmsConnector
`AUTO_ACK_COUNT, BUFFER_OUTPUT, DEFAULT_AUTO_ACK_COUNT, DEFAULT_BUFFER_OUTPUT, DEFAULT_DISC_ON_CLUSTER_FAILURE, DEFAULT_ENABLE_MULTIPLEXED_CONNECTIONS, DEFAULT_ENABLE_SHARED_DURABLE, DEFAULT_GLOBAL_STORE_CAPACITY, DEFAULT_INITIAL_RETRY_COUNT, DEFAULT_MAX_REDELIVERY, DEFAULT_MAX_UNACKED_SIZE, DEFAULT_MESSAGE_THREAD_POOL_SIZE, DEFAULT_QUEUE_WINDOW_SIZE, DEFAULT_RANDOMISE_R_NAMES, DEFAULT_REALM_URL, DEFAULT_RETRY_COMMIT, DEFAULT_SYNC_BATCH_SIZE, DEFAULT_SYNC_TIME, DEFAULT_SYNC_WRITES, DEFAULT_USE_JMS_ENGINE, DISC_ON_CLUSTER_FAILURE, ENABLE_MULTIPLEXED_CONNECTIONS, ENABLE_SHARED_DURABLE, GLOBAL_STORE_CAPACITY, INITIAL_RETRY_COUNT, MAX_REDELIVERY, MAX_UNACKED_SIZE, MESSAGE_THREAD_POOL_SIZE, MULEMQ_CONNECTION_FACTORY_CLASS, QUEUE_WINDOW_SIZE, RANDOMISE_R_NAMES, RETRY_COMMIT, supportJms102bSpec, SYNC_BATCH_SIZE, SYNC_TIME, SYNC_WRITES, USE_JMS_ENGINE`

Fields inherited from class org.mule.transport.jms.JmsConnector
`JMS, password, REDELIVERY_FAIL_ON_FIRST, REDELIVERY_IGNORE, username`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`MuleMQXAJmsConnector(MuleContext context)`

Method Summary
`protected String` | `getMuleMQFactoryClass()`

Methods inherited from class org.mule.transport.jms.mulemq.MuleMQJmsConnector
`doInitialise, getAutoAckCount, getBufferOutput, getDefaultConnectionFactory, getGlobalStoreCapacity, getInitialRetryCount, getMaxUnackedSize, getMessageThreadPoolSize, getMuleMqMaxRedelivery, getQueueWindowSize, getRealmURL, getSyncBatchSize, getSyncTime, isDiscOnClusterFailure, isEnableMultiplexedConnections, isEnableSharedDurable, isInCluster, isRandomiseRNames, isRetryCommit, isSupportJms102bSpec, isSyncWrites, isUseJMSEngine, onException, setAutoAckCount, setBufferOutput, setDiscOnClusterFailure, setEnableMultiplexedConnections, setEnableSharedDurable, setGlobalStoreCapacity, setInCluster, setInitialRetryCount, setMaxUnackedSize, setMessageThreadPoolSize, setMuleMqMaxRedelivery, setQueueWindowSize, setRandomiseRNames, setRealmURL, setRetryCommit, setSpecification, setSupportJms102bSpec, setSyncBatchSize, setSyncTime, setSyncWrites, setUseJMSEngine`

Methods inherited from class org.mule.transport.jms.JmsConnector
`close, close, close, close, close, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeSessionIfNoTransactionActive, createConnection, createConnectionFactory, createJmsSupport, doConnect, doDisconnect, doDispose, doStart, doStop, getAcknowledgementMode, getClientId, getConnection, getConnectionFactory, getConnectionFactoryJndiName, getConnectionFactoryProperties, getJmsSupport, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getMaxRedelivery, getNumberOfConsumers, getPassword, getProtocol, getReceiverKey, getRedeliveryHandlerFactory, getReplyToHandler, getSameRMOverrideValue, getSession, getSession, getSessionFromTransaction, getSpecification, getTopicResolver, getUsername, initJndiContext, isCacheJmsSessions, isDisableTemporaryReplyToDestinations, isDurable, isEagerConsumer, isEmbeddedMode, isForceJndiDestinations, isHonorQosHeaders, isJndiDestinations, isNoLocal, isPersistentDelivery, isResponseEnabled, isReturnOriginalMessageAsReply, lookupFromJndi, preProcessMessage, setAcknowledgementMode, setCacheJmsSessions, setClientId, setConnection, setConnectionFactory, setConnectionFactoryJndiName, setConnectionFactoryProperties, setDisableTemporaryReplyToDestinations, setDurable, setEagerConsumer, setEmbeddedMode, setForceJndiDestinations, setHonorQosHeaders, setJmsSupport, setJndiContext, setJndiDestinations, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setMaxRedelivery, setNoLocal, setNumberOfConsumers, setPassword, setPersistentDelivery, setRedeliveryHandlerFactory, setReturnOriginalMessageAsReply, setSameRMOverrideValue, setTopicResolver, setUsername, supportsProperty`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULEMQ_XA_CONNECTION_FACTORY_CLASS

    public static final String MULEMQ_XA_CONNECTION_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### MuleMQXAJmsConnector

    public MuleMQXAJmsConnector(MuleContext context)

Method Detail

### getMuleMQFactoryClass

    protected String getMuleMQFactoryClass()

  Overrides:
    `getMuleMQFactoryClass` in class `MuleMQJmsConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.